curl --request GET \
--url https://api.extole.io/v6/reward-suppliers \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/reward-suppliers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/reward-suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"cash_back_max": 123,
"cash_back_min": 123,
"cash_back_percentage": 123,
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"created_date": "2025-10-24T02:00:00-07:00",
"display_name": "<string>",
"display_type": "<string>",
"enabled": true,
"face_value": 123,
"face_value_algorithm_type": "CASH_BACK",
"face_value_type": "AUD",
"id": "<string>",
"limit_per_day": 123,
"limit_per_hour": 123,
"name": "<string>",
"partner_reward_key_type": "COUPON",
"partner_reward_supplier_id": "<string>",
"reward_expires_at": "2025-10-24T02:00:00-07:00",
"reward_supplier_type": "CUSTOM_REWARD",
"state_transitions": {},
"tags": [
"<string>"
],
"updated_date": "2025-10-24T02:00:00-07:00",
"auto_fulfillment_enabled": true,
"data": {},
"missing_fulfillment_alert_delay_ms": 123,
"missing_fulfillment_alert_enabled": true,
"missing_fulfillment_auto_fail_delay_ms": 123,
"missing_fulfillment_auto_fail_enabled": true,
"reward_email_auto_send_enabled": true,
"type": "ACCOUNT_CREDIT"
}
]List reward suppliers
Returns all reward supplier configurations for the client, across all supplier types. Reward suppliers are integrations with upstream providers that fulfil reward issuance (gift cards, coupons, payouts, etc.). Use the types query parameter to filter by supplier type.
Authorizations
Query Parameters
CUSTOM_REWARD, MANUAL_COUPON, SALESFORCE_COUPON, TANGO_V2 Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
Stored custom reward supplier definition. Fields name, display_name, face_value_algorithm_type, face_value, cash_back_percentage, cash_back_min, cash_back_max, limit_per_day, limit_per_hour, face_value_type, display_type, enabled, and reward_expires_at are unevaluated and appear in buildtime-evaluatable form.
The cash back max as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The cash back min as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The cash back percentage as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The display name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The display type as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The face value as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The face value algorithm type as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
CASH_BACK, FIXED The face value type as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
AUD, BRL, CAD, CNY, EUR, GBP, HKD, INR, JPY, KRW, MONTH, MXN, NZD, PERCENT_OFF, POINTS, TRY, TWD, USD The limit per day as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The limit per hour as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
The name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext.
COUPON, ID, LINK The reward expires at as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use RewardSupplierBuildtimeContext. Runtime expressions use EarnedRewardEvaluationContext.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
CUSTOM_REWARD Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Show child attributes
Show child attributes
ACCOUNT_CREDIT, LOYALTY_POINTS 